/**
 * mapToObj.ts
 * 该文件定义了一个函数，用于将 Map 对象转换为包含 key 和 value 的对象数组。
 */

/**
 * 将 Map 对象转换为包含 key 和 value 的对象数组。
 * @param map - 要转换的 Map 对象。
 * @returns 转换后的包含 key 和 value 的对象数组。
 */
export default function mapToObj(map: Map<string, any>): Array<{ key: string, value: any }> {
    let result: Array<{ key: string, value: any }> = [];
    map.forEach((value, key) => {
        result.push({ key, value });
    });
    return result;
}
